# This file is automagically generated by ./configure.  Don't mess with it
# by hand unless you know what you're doing.  --A.L.Lambert

Summary: A handy syslog file(s) manipulation/monitoring/parsing tool
Vendor: A.L.Lambert
Name: logtool
Version: 1.0.6
Release: 1
Copyright: GPL
Group: Applications/Text
Source: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/logtool

%description
	Logtool is a handy little tool for manipulation/monitoring/parsing
of syslog (and syslog-like) files.  It produces output in ANSI, ASCII, CSV,
HTML format, and is easily configured to your needs via the /etc/logtool/* 
files.  It is suitable for use in generating easy to read logfile reports, 
webpages, and online monitoring of logfiles.

	Please see the included documentation files (which are located in 
/usr/doc/%{name}-%{version}) for more details. 

%prep
%setup  
%build
# Make sure we clean up anything I might have fscked up and left laying around
# in the source tree.
make clean
# configure for a default install 
./configure 
# build the binaries
make

%install
# Until I get the hang of autoconf and friends, the stuff below is the same 
# thing as "make install" taking into account $RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT/usr $RPM_BUILD_ROOT/etc/logtool
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/logtool

install -c -m 0644 conf/* $RPM_BUILD_ROOT/etc/logtool
install -c -m 0755 logtool/logtool logtail/logtail $RPM_BUILD_ROOT/usr/bin

cd $RPM_BUILD_ROOT/usr/bin
ln -s ../../usr/bin/logtool ../../usr/bin/lt


%clean
# blow away the build dir structure
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /usr/bin/lt ] ; then
ln -s /usr/bin/logtool /usr/bin/lt
fi

%postun
if [ -f /usr/bin/lt ] ; then
rm -f /usr/bin/lt
fi


%files
%defattr(-,root,root)
%doc README COPYING TODO INSTALL CHANGES USAGE CREDITS logtool.spec doc/*
%config(noreplace) /etc/logtool/*
/usr/bin/logtool
/usr/bin/logtail


%changelog
* Mon Jun 11 2001 A.L.Lambert <max at xjack.org>
- Minor changes for 1.0.6 release as follows:
-
- Modified the autoconf stuff to (hopefully) be more cross-platform
-
- Added a fflush(stdin); to make logtool happier with scripts that do 
- line-by-line reading on platforms who's libc doesn't do this automatically
- for printf(); and friends.
-
- Probably a few little things I'm forgetting. :)


* Thu Feb 01 2001 A.L.Lambert <al at 9b.com>
- Tweaked the 1.0.5 release as follows:
-
- Added configure.in statements to make ./configure point to the propper
- paths in the documentation (config file stuff).

* Mon Jan 29 2001 A.L.Lambert <al at 9b.com>
- 1.0.5 release.  Not much new except the following:
-
-	Now uses GNU autoconf and friends to configure for build
-	Fixes a small compile time bug for ScoUnixware induced in 1.0.4
-	Not much else. :)

* Sat Jan 27 2001 A.L.Lambert <al at 9b.com>
- 1.0.4 release.  Only chage is a modification to the format check to allow
- for broken-ness in PAM syslog messages on RedHat 7.0

* Wed Jan 16 2001 A.L.Lambert <al at 9b.com>
- I think I have the configure stuff all tweaked out like it should be.
- No doubt I'm wrong on that count, but it's getting closer to release grade
- stuff.
-
- Wrote a manpage for logtool.  manpages are annoying to write/deal with.

* Sun Jan 14 2001 A.L.Lambert <al at 9b.com>
- Commenced converting to a GNU autoconf/configure build process for easier
- cross-platform portability.  Hopefully this will make our lives nicer in the
- long run.
-
- This spec file is even built using configure.  Isn't that neat. :)

* Thu Jan 11 2001 A.L.Lambert <al at 9b.com>
- 1.0.4 pre-release started.  Hopefully nothing major in this release.
-
- First change, modification of the lt_fmtcheck() function to fix some 
- format mismatch problems on RedHat 7.0.  See logtool/regex.c for the 
- specifics. (thanks to Laurent Jacquot for pointing this out)
-
- Fixed two minor compilation problems on AIX.  
- 	1.  Getopt returns int, and I was reading it as a char: fixed
-	2.  AIX defines 'regex', which clashed with the struct I will be 
-	    using to hold regex strings: fixed
- (thanks to Thanh Ma for pointing these two things out to me)

* Wed Jan 11 2001 A.L.Lambert <al at 9b.com>
- 1.0.3 release 'officially' declared ready to go.  No new changes since
- the comments below, just some e-mail feedback from the folks testing the
- changes indicating that everything seems to be working fine. 
-

* Tue Jan 10 2001 A.L.Lambert <al at 9b.com>
- Updated version to 1.0.3 to reflect changes below.  Still waiting to hear
- back from the folks that are testing these changes.  They should work, 
- but until I know for sure, the 1.0.3 release should be considered BETA, and
- subject to change without version number incrementation prior to public 
- release.
-
- Wrote a really ugly configure script to handle the SCO vs everything else
- differences. (at this point, it just copies the appropo logtail.*.c file to
- logtail.c, and initializes the main Makefile)
-
- Made some changes to the logtool/Makefile to build only the objects/binaries
- by default (reported problems with OpenBSD 2.8's 'make' not building library
- correctly).  Also added a "make lib" option so that anyone wishing to have
- the library can build it. (really, who needs the library for this?)
-
- Later that night:
- 
- Ying-Chieh Liao pointed out some "features" in the logtool/Makefile, which 
- I have now fixed. (see, I told you I might change it before the official
- release) ;)
-
- Report from Andreas stling on the OpenBSD changes looks good.  
-
- Sanitized e-mail addresses in this file, since it gets displayed on the 
- website (I'd hate to think some spammer snagged the e-mail addresses of
- the nice folks who've helped me out from my website).

* Fri Jan 05 2001 A.L.Lambert <al at 9b.com>
- Updated to fix the missing symlink to /usr/bin/lt.
- Included the changes suggested from Thomas Hagar listed below

* Fri Jan 05 2001 Thomas Hager <thomas at 1012surf.net>
- replaced cp with install in %install

* Thu Jan 04 2001 A.L.Lambert <al at 9b.com>
- Various fixes so's it will compile under the original cc-compiler from 
- SUN (Solaris 2.6).  Thanks to Christoph Krempe <ck at ub.fu-berlin.de>
- for pointing out the problems, and working with me on fixes.  Christoph
- should also get credit for pointing out the bug in the includefile 
- functionality that was fixed below.
-
- It compiled
- It worked for me
- I shipped it. :P

* Fri Dec 29 2000 A.L.Lambert <al at 9b.com>
- Working on fixes for Solaris (why did I expect this?) for version 1.0.2
-
- So far, I've done the following:
- 	Tested with removing the strncasecmp() decl - seems to work fine
- 	Removed the getopt_long() and related stuff, and use only getopt()
-
-	Waiting on report back from Christoph Krempe on the success/failure
-	of these steps.

* Thu Dec 28 2000 A.L.Lambert <al at 9b.com>
- Big OOPS! The includefile functionality was broken!  I have no idea how I
- missed this the first time around, but it's fixed now. Updated version to 
- 1.0.1

* Tue Dec 26 2000 A.L.Lambert <al at 9b.com>
- Woohoo!  1.0 release is good to go (as far as I can tell)!
-
- Documentation is still a bit shabby, but it's better than some I've seen.
- Still some things in the TODO list that I'd like to get done Real Soon Now.
- 
- But all in all, all the features are in place, they all work flawlessly as
- far as I can tell (famous last words of a programmer :), and as they say in
- GNU land; "It works for me."
-
- Later that day:
-
- Modified the getopt.c stuff to allow for specification of an alternate 
- config file instead of being stuck with the system defaults.
- 
- Fixed a minor bug in the ansi.c module (color display thing)
-
- Updated CREDITS and a few things in doc/logtool.txt

* Mon Dec 25 2000 A.L.Lambert <al at 9b.com>
- Now have a working program!  WooHoo!!
-
- I lied about not messing with it till the 27'th.
-
- I think most all of the back-end code is done (cfg file reader, getopt, etc)
- ANSI, ASCII, RAW, and CSV output modules are completed (more/less), and
- everything test's OK, even with bizare/broken input.  Probably some buffer
- overlows in here somewhere, but this program is not/will not be SUID, so I
- don't think that's too big a deal (and will never happen unless users muss 
- up the config file really badly or overdo the REGEX string files).
-
- Still TODO
-	Write the HTML <PRE>, and HTML <TABLE> output modules
-	Change the way we do REGEX's (need to compile the paterns once, not 
-		every time).
-	Documentation, Documentation, Documentation.  :(
-	Clean up the code some more so I won't be quite so embarrassed when I 
-	release this thing.  :)

* Sun Dec 24 2000 A.L.Lambert <al at 9b.com>
- Came up with idea, and commenced work on getting this thing ready for 
- distribution
-	Code is about half written at this point, but should progress
-	relatively quickly (I type way too fast).
-
-	Anciliary stuff (Makefile's, .spec file, etc.) is pretty much done.
-	
-	Documentation is basically un-started (although this program ain't
-	likely to need a rocket scientist to run it).
-
-	I have to go to bed so's I can be fresh for Christmas, so no more work
-	will likely be getting done until around the 27'th.
